/* Style podstawowe strony */
body {
    font-family: 'Raleway', sans-serif;
    color: #000;
}

a {
    text-decoration: none;
}

/* Style dla formularzy */
input,
select,
textarea {
    padding-left: 20px;
    padding-right: 20px;
    -webkit-transition: all .25s ease-in;
    -o-transition: all .25s ease-in;
    transition: all .25s ease-in;
}

input:focus,
select:focus,
textarea:focus {
    -webkit-box-shadow: 0 5px 5px 0 rgba(201, 201, 201, 0.2);
            box-shadow: 0 5px 5px 0 rgba(201, 201, 201, 0.2);
}

input,
select,
textarea,
.checkbox,
.radio {
    border: 1px solid #cdcdcd;
}

input,
select {
    height: 40px;
    line-height: 40px;
}

textarea {
    min-height: 205px;
    padding-top: 15px;
    padding-bottom: 15px;
}

[type="checkbox"],
[type="radio"] {
    display: none;
}

.field-error {
    display: inline-block;
    margin-top: 10px;
    color: #e11b1b;
    font-size: 1.4rem;
}

.field-dirty:invalid {
    border-color: #e11b1b;
}

.field-dirty:invalid:focus {
    -webkit-box-shadow: 0 5px 5px 0 rgba(225, 27, 27, 0.2);
            box-shadow: 0 5px 5px 0 rgba(225, 27, 27, 0.2);
}

.field-dirty:valid {
    border-color: #86c878;
}

.field-dirty:valid:focus {
    -webkit-box-shadow: 0 5px 5px 0 rgba(134, 200, 120, 0.2);
            box-shadow: 0 5px 5px 0 rgba(134, 200, 120, 0.2);
}



.form-row {
    margin-bottom: 20px;
}

.input-row {
    margin-top: 10px;
}

.form-label {
    display: inline-block;
    margin-bottom: 5px;
}

.form-label.required::after {
    content: '*';
    display: inline-block;
    margin-left: 5px;
}

.checkbox,
.radio {
    position: relative;
    display: inline-block;
    margin-right: 10px;
    width: 20px;
    height: 20px;
    vertical-align: sub;
}

.radio,
.radio::after {
    border-radius: 50%;
}

.checkbox::after,
.radio::after {
    content: '';
    position: absolute;
    left: 50%;
    top: 50%;
    margin-top: -4px;
    margin-left: -4px;
    display: block;
    width: 8px;
    height: 8px;
    background-color: #86c878;
    opacity: 0;
    -webkit-transition: opacity .2s ease-out;
    -o-transition: opacity .2s ease-out;
    transition: opacity .2s ease-out;
}

input:checked ~ label .checkbox::after,
input:checked ~ label .radio::after {
    opacity: 1;
}

/* Komponenty */
.center-wrapper {
    width: 100%;
    max-width: 1360px;
/*  margin-left: auto;
    margin-right: auto;*/
    margin: 0 auto; /* margin: góra/dół lewo/prawo; margin: góra lewo/prawo dół; */
}

.logo {
    display: inline-block;
    width: 166px;
    height: 62px;
    background-image: url(../img/logo.png);
    background-size: contain;
    text-indent: -99999px;
}

.btn {
    display: inline-block;
    height: 70px;
    line-height: 64px;
    padding: 0 70px;

    font-weight: 700;
    text-transform: uppercase;
    white-space: nowrap;

    cursor: pointer;

    background-color: #86c878;
    border: 3px solid #86c878;
    border-radius: 40px;

    -webkit-transition: all .2s ease-out;

    -o-transition: all .2s ease-out;

    transition: all .2s ease-out;
}

.btn:hover {
    background-color: #ffffff;
    color: #71b862;
    -webkit-box-shadow: 0 5px 15px 0 rgba(134, 200, 120, 0.75);
            box-shadow: 0 5px 15px 0 rgba(134, 200, 120, 0.75);
}

.text-green {
    color: #86c878;
}

.text-red {
    color: #ec1515;
}


/* Style dla konkretnych elementów naszej strony */

/* Style dla headera */
.page-header .info-bar {
    padding: 30px 0 25px; /* padding: góra lewo/prawo dół; */
    font-weight: 700;
    font-size: 1.4rem;
}

.page-header .info-bar .center-wrapper,
.page-header .promo-banner {
    padding-left: 15px;
    padding-right: 15px;
}

.page-header .free-delivery {
    display: none;
}

.page-header .contact-box a {
    display: inline-block;
    height: 25px;
    line-height: 25px;

    background-repeat: no-repeat;
    background-position: 0 center;
}

/*.page-header .contact-box [href^="tel"] {*/
.page-header .contact-box .phone {
    float: left;
    padding-left: 25px;

    background-image: url(../img/icon-phone.png);
}

/*.page-header .contact-box [href^="mailto"] {*/
.page-header .contact-box .mail {
    float: right;
    padding-left: 30px;

    background-image: url(../img/icon-envelope.png);
}

.page-header .promo-banner {
    height: 420px;
    /*padding-top: 25px;
    padding-left: 30px;
    padding-right: 30px;*/
    padding-top: 25px;
    background-image: url(../img/promo-banner.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
}

.page-header .nav-wrapper {
    float: right;
    position: relative;
}

.page-header .toggle-nav-btn {
    width: 54px;
    height: 54px;

    background-color: #86c878;
    border: 0;
}

.page-header .toggle-nav-btn .burger-icon {
    display: inline-block;
    width: 27px;
    height: 24px;
}

.page-header .toggle-nav-btn .burger-icon .bar {
    position: relative;
    vertical-align: top;
}

.page-header .toggle-nav-btn .burger-icon .bar,
.page-header .toggle-nav-btn .burger-icon .bar::before,
.page-header .toggle-nav-btn .burger-icon .bar::after {
    display: inline-block;
    width: 27px;
    height: 4px;
    background-color: #fff;
}

.page-header .toggle-nav-btn .burger-icon .bar::before,
.page-header .toggle-nav-btn .burger-icon .bar::after {
    content: '';
    position: absolute;
    left: 0;
}

.page-header .toggle-nav-btn .burger-icon .bar::before {
    top: 10px;
}

.page-header .toggle-nav-btn .burger-icon .bar::after {
    top: 20px;
}

.page-header .menu,
.page-header .submenu {
    list-style: none;
    margin: 0;
    padding: 0;
}

.page-header .menu {
    display: none;
    position: absolute;
    top: 54px;
    right: 0;
}

.page-header .menu.visible {
    display: block;
}

.page-header .menu a {
    display: block;
    height: 70px;
    line-height: 70px;
    padding: 0 45px;
    background-color: #191c19;
    color: #ffffff;
    font-size: 1.2rem;
    text-transform: uppercase;
    white-space: nowrap;
}

.page-header .submenu a {
    height: 54px;
    line-height: 54px;
    background-color: #ffffff;
    color: #191c19;
}

.page-header .menu .has-submenu a {
    background-image: url(../img/icon-arrow-down.png);
    background-repeat: no-repeat;
    background-position: right 25px center;
}

.page-header .promo-text {
    margin-top: 105px;
    text-align: center;
    color: #ffffff;
}

.page-header .promo-text .heading {
    margin: 0 0 20px; /* góra lewo/prawo dół*/
    font-family: 'Playfair Display', serif;
    font-size: 4.7rem;
    font-weight: 400;
}

.page-header .promo-text .subheading {
    display: none;
}



/* Style dla treści strony */
.page-content .btn-group {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    /*margin: 40px 0 55px;*/
    margin: 35px 0 20px;
}

.page-content .btn-group a {
    display: block;
    margin-left: -2px;
    height: 53px;
    line-height: 49px;
    padding: 0 15px;

    font-family: 'Montserrat', sans-serif;
    font-size: 1.2rem;
    font-weight: 700;
    text-transform: uppercase;
    white-space: nowrap;

    border: 2px solid #e6e6e6;

    -webkit-transition: all .2s ease-out;

    -o-transition: all .2s ease-out;

    transition: all .2s ease-out;
}

.page-content .btn-group a:hover {
    position: relative;
    z-index: 10;
    border-color: #86c878;
    color: #86c878;
    -webkit-box-shadow: 0 5px 9px 0 rgba(134, 200, 120, 0.22);
            box-shadow: 0 5px 9px 0 rgba(134, 200, 120, 0.22);
}

.page-content .btn-group a:first-child {
    padding-left: 20px;

    border-top-left-radius: 25px;
    border-bottom-left-radius: 25px;
}

.page-content .btn-group a:last-child {
    padding-right: 20px;

    border-top-right-radius: 25px;
    border-bottom-right-radius: 25px;
}

.product-section {
    font-family: 'Montserrat', sans-serif;
}

.product-section-header {
    padding: 65px 50px;
    background-image: url(../img/circle.png);
    background-repeat: no-repeat;
    background-position: right bottom;
}

.product-section-header.green {
    background-color: #86c878;
}

.product-section-header.turquoise {
    background-color: #78c8c0;
}

.product-section-header.blue {
    background-color: #78a1c8;
}

.product-section-header .heading {
    margin: 0 0 15px;

    color: #ffffff;
    font-size: 3.6rem;
    font-weight: 900;
}

.product-section-header .caption {
    margin: 0;

    font-size: 1.8rem;
    font-weight: 300;
}

.product-item {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: flex-start;
    padding: 45px 20px 40px;
    border-bottom: 1px solid #e6e6e6;
}

.product-item .product-thumbnail {
    width: 140px;
    height: auto;
}

.product-item .product-details {
    margin-left: 25px;
    margin-top: 20px;
}

.product-item .product-name,
.product-item .product-price {
    font-size: 1.8rem;
}

.product-item .product-name {
    margin: 0 0 20px;
    font-weight: 300;
}

.product-item .product-price,
.product-item .product-base-price {
    display: block;
    font-weight: 700;
}

.product-item .product-price {
    color: #86c878;
}

.product-item .product-base-price {
    margin-top: 10px;
    color: #cecece;
    text-decoration: line-through;
}

.product-item .product-label {
    position: absolute;
    top: 40px;
    left: 20px;
    width: 44px;
    height: 44px;
    line-height: 44px;
    text-align: center;
    background-color: #86c878;
    color: #ffffff;
    font-weight: 700;
}

.product-item .product-label::before {
    content: '';
    position: absolute;
    display: block;
    width: 44px;
    height: 44px;
    background-color: #86c878;
    -webkit-transform: rotate(45deg);
        -ms-transform: rotate(45deg);
            transform: rotate(45deg);
}

.product-item .product-label .text {
    position: relative;
    z-index: 10;
}

.pagination {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    margin: 50px 0 70px;
}

.pagination a {
    display: block;
    width: 40px;
    height: 40px;
    margin-left: -2px;
    line-height: 36px;

    border: 2px solid #e6e6e6;

    text-align: center;
    font-weight: 700;
    font-size: 1.4rem;
}

.pagination a:first-child {
    margin-right: 30px;
}

.pagination a:last-child {
    margin-left: 30px;
}

.pagination a:hover {
    background-color: #f9f9f9;
}

.pagination .current {
    position: relative;
    z-index: 10;
    border-color: #86c878;
}


/* Style dla stopki strony */
.page-footer {
    padding-top: 60px;
    background-color: #191c19;
    color: #6b6d6b;
    font-size: 1.2rem;
}

.page-footer ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

.page-footer li {
    margin-bottom: 15px;
}

.page-footer li:last-child {
    margin-bottom: 0;
}

.page-footer hr {
    margin: 20px 0;
    height: 1px;
    background-color: #303430;
    border: 0;
}

.page-footer .center-wrapper {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    padding: 0 25px;
}

.page-footer .logo {
    width: 102px;
    height: 38px;
}

.page-footer .copyright-info {
    width: auto;
}

.footer-section {
    width: 140px;
    margin-right: 30px;
    margin-bottom: 45px;
}

.footer-section:last-child {
    margin-right: 0;
}

.footer-section.socials-section {
    width: 200px;
}

.footer-section.double-width {
    width: 310px;
    margin-bottom: 30px;
}

.footer-section.double-width .half-width {
    float: left;
    width: 140px;
    margin-right: 30px;
    margin-bottom: 15px;
}

.footer-section.double-width .half-width:last-child {
    margin-right: 0;
}

.footer-section.small-margin-bottom {
    margin-bottom: 20px;
}

.footer-section .heading {
    margin: 0 0 30px;
    font-weight: 700;
    font-size: 1.8rem;
    color: #86c878;
    text-transform: uppercase;
}

.social-links {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    color: #fff;
    font-size: 2rem;
}

.social-links li {
    margin-right: 20px;
}

.social-links li:last-child {
    margin-right: 0;
}

.social-links a {
    display: block;
    width: 35px;
    height: 35px;
    line-height: 35px;
    text-align: center;
}

.page-footer .social-links {
    margin-left: -10px;
}

.content-sidebar {
    display: none;
}

.content-main {
    padding: 0 40px 65px;
    line-height: 1.45;
}

.content-main h1,
.content-main h2 {
    font-family: 'Playfair Display', serif;
    text-transform: uppercase;
}

.content-main h1 {
    margin: 35px 0 50px;
    padding-bottom: 35px;

    font-size: 4rem;
    border-bottom: 1px solid #e3e3e3;
}

.content-main h2 {
    position: relative;
    margin: 60px 0 30px;
    padding-bottom: 20px;
    font-size: 2.4rem;
}

.content-main h2::after {
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    display: block;
    width: 25px;
    height: 4px;
    background-color: #86c878;
}

.content-main h3 {
    margin: 40px 0;
    font-size: 2rem;
    font-weight: 400;
}

.content-main p,
.content-main ul,
.content-main ol {
    margin: 35px 0;
}

.content-main img {
    max-width: 100%;
    height: auto;
}

.content-main blockquote {
    margin: 50px 0;
    padding: 95px 0 45px;
    border-top: 1px solid #86c878;
    border-bottom: 1px solid #86c878;
    /*background-image: url(../img/icon-quote.png);
    background-repeat: no-repeat;
    background-position: center 35px;*/
    background: url(../img/icon-quote.png) center 35px no-repeat;

    text-align: center;
    font-style: italic;
}

.content-main ol,
.content-main ul {
    padding-left: 16px;
}

.content-main video {
    width: 100%;
    height: auto;
}

.content-main small {
    font-size: 1rem;
}

.content-main dl {
    margin: 60px 0;

    border-bottom: 1px solid #c1c1c1;
}

.content-main dt {
    margin-bottom: 30px;
    padding-top: 30px;

    font-weight: 700;

    border-top: 1px solid #c1c1c1;
}

.content-main dd {
    margin: 0 0 45px;
}

.content-main table {
    width: 100%;
    font-size: 1.2rem;
    text-transform: uppercase;
    text-align: center;
}

.content-main table td,
.content-main table th {
    padding: 20px 25px;
    border-bottom: 1px solid #c1c1c1;
}

.content-main table th {
    white-space: nowrap;
}

.content-main table th:first-child {
    text-align: left;
}

.content-main table tr:first-child th {
    background-color: #000;
    color: #fff;
}

.content-main table td[colspan] {
    background-color: #f5f5f5;
    border: 0;
}

.content-main table .no-border td,
.content-main table .no-border th {
    border: 0;
}

.content-main .rwd-table {
    width: 100%;
    overflow-x: auto;
}

.content-main .rwd-table table {
    table-layout: initial;
}

.content-main .highlighted {
    margin: 45px 0;
    padding: 55px 50px;
    color: #fff;
    text-align: center;
    background-color: #86c878;
}

.content-main .map {
    display: block;
    width: 100%;
    height: 285px;
}

.content-main .stick-to-screen {
    margin-left: -40px;
    margin-right: -40px;
}

.content-main .stick-to-screen.only-right {
    margin-left: 0;
}


/* 360px */
@media screen and (min-width: 22.500em) {

    /* Style dla formularzy */
    .input-row-grid {
        overflow: hidden;
    }

    .input-row-grid .input-row {
        float: left;
        width: 50%;
    }

    .input-row-grid .input-row:nth-child(2n) {
        padding-left: 20px;
    }

    .input-row-grid--1-4 .input-row {
        width: 33%;
    }

    /* Style dla nagłówka */
    .page-header .info-bar .center-wrapper, 
    .page-header .promo-banner {
        padding-left: 30px;
        padding-right: 30px;
    }

    .page-header .contact-box .phone {
        padding-left: 30px;
    }

    .page-header .contact-box .mail {
        padding-left: 35px;
    }

    .page-footer .center-wrapper {
        padding: 0 45px;
    }
}


/* 600px */
@media screen and (min-width: 37.500em) {
    .product-section {
        display: -ms-grid;
        display: grid;
        -ms-grid-columns: 50% 50%;
        grid-template-columns: 50% 50%;
    }

    .product-section-header {
        position: relative;
    }

    .product-section-header .header-content {
        position: absolute;
        left: 50px;
        right: 50px;
        bottom: 50px;
    }

    .product-item {
        display: block;
        height: 100%;
        margin: 0 35px;
        text-align: center;
        border-bottom: 0;
        -webkit-transition: all .3s ease-out;
        -o-transition: all .3s ease-out;
        transition: all .3s ease-out;
        background-color: #fff;
    }

    .product-item .product-thumbnail {
        -webkit-transition: all .45s ease-out;
        -o-transition: all .45s ease-out;
        transition: all .45s ease-out;
    }

    .product-item:hover {
        position: relative;
        z-index: 10;
        -webkit-box-shadow: 0px 1px 25px 0px rgba(18, 16, 11, 0.16);
                box-shadow: 0px 1px 25px 0px rgba(18, 16, 11, 0.16);
        -webkit-transform: scale(1.1);
            -ms-transform: scale(1.1);
                transform: scale(1.1);
    }

    .product-item:hover .product-thumbnail {
        -webkit-transform: scale(1.15) rotate(10deg);
            -ms-transform: scale(1.15) rotate(10deg);
                transform: scale(1.15) rotate(10deg);
    }

    .product-item .product-label {
        left: auto;
        right: 40px;
        z-index: 10;
    }

    .pagination {
        margin-top: 80px;
    }
}


/* 660px */
@media screen and (min-width: 41.250em) and (max-width: 51.188em), screen and (min-width: 63.750em) {
    /* Style dla formularzy */
    .form-row {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
    }

    .form-label {
        -ms-flex-preferred-size: 230px;
            flex-basis: 230px;
        -ms-flex-negative: 0;
            flex-shrink: 0;
        height: 40px;
        line-height: 40px;
    }

    .input-container {
        -ms-flex-preferred-size: 100%;
            flex-basis: 100%;
        margin-left: 50px;
    }

    .input-container.offset-left {
        margin-left: 280px;
    }

    .submit-row {
        text-align: right;
    }
}

@media screen and (min-width: 41.250em) {
    /* Style dla headera */
    .page-header .free-delivery {
        display: block;
        float: left;
        margin: 0;
        height: 25px;
        line-height: 25px;
    }

    .page-header .contact-box {
        float: right;
        width: 320px;
    }
}


/* 720px */
@media screen and (min-width: 45.000em) {
    .page-header {
        background-color: #191c19;
    }

    .page-header .info-bar {
        background-color: #fff;
    }

    .page-header .info-bar .center-wrapper {
        padding-left: 65px;
        padding-right: 65px;
    }

    .page-header .promo-banner {
        height: 670px;
        background-image: url(../img/promo-banner-desktop.jpg);
    }

    .page-header .toggle-nav-btn {
        display: none;
    }

    .page-header .menu,
    .page-header .menu.visible {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        top: 0;
    }

    .page-header .menu a {
        height: 65px;
        line-height: 65px;
        padding: 0 25px;
    }

    .page-header .menu > li:first-child a {
        padding-left: 45px;
    }

    .page-header .menu > li:last-child a {
        padding-right: 45px;
    }

    .page-header .menu .has-submenu > a {
        padding-right: 50px;
    }

    .page-header .submenu {
        display: none;
    }

    .page-header .has-submenu:hover .submenu {
        display: block;
        position: absolute;
        padding-top: 20px;
        padding-bottom: 40px;
        background-color: #fff;
    }

    .page-header .promo-banner {
        position: relative;
        z-index: 10;
        padding-left: 65px;
        padding-right: 65px;
    }

    .page-header .submenu a {
        height: 30px;
        line-height: 30px;
    }

    .page-header .promo-text .heading {
        font-size: 10.8rem;
    }

    .page-header .promo-text .subheading {
        display: block;
        font-size: 3rem;
        font-weight: 400;
    }

    .page-content {
        margin-top: -135px;
        padding-top: 135px;
        background-color: #fff;
    }

    .page-content .btn-group {
        margin: 55px 0 40px;
    }

    .page-content .btn-group a {
        padding: 0 25px;
        font-size: 1.4rem;
    }

    .page-content .btn-group a:first-child {
        padding-left: 35px;
    }

    .page-content .btn-group a:last-child {
        padding-right: 35px;
    }
}

/* 820px */
@media screen and (min-width: 51.250em) {
    .sidebar-layout {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: justify;
            -ms-flex-pack: justify;
                justify-content: space-between;
    }

    .content-sidebar {
        display: block;
        -ms-flex-preferred-size: 340px;
            flex-basis: 340px;
        -ms-flex-negative: 0;
            flex-shrink: 0;

        padding: 60px 35px 0;

        border-right: 2px solid #e3e3e3;
    }

    .context-menu {
        list-style: none;
        margin: 0;
        padding: 0;
    }

    .context-menu li {
        border-bottom: 1px solid #e3e3e3;
    }

    .context-menu li:last-child {
        border-bottom: 0;
    }

    .context-menu a {
        display: block;
        padding: 15px 0;
        font-size: 1.8rem;
        font-weight: 700;
        text-transform: uppercase;
        transition: color .2s ease-out;
    }

    .context-menu a:hover {
        color: #86c878;
    }

    .content-main {
        width: 100%;
        max-width: 930px;
    }

    .content-main .stick-to-screen {
        margin: 0;
    }
}

/* 920px */
@media screen and (min-width: 57.500em) {
    .page-footer {
        font-size: 1.6rem;
    }

    .page-footer .logo {
        width: 166px;
        height: 62px;
    }

    .page-footer .copyright-info {
        margin-top: 0;
        height: 62px;
        line-height: 62px;
    }

    .footer-section,
    .footer-section.double-width .half-width {
        width: 190px;
    }

    .footer-section.double-width {
        width: 410px;
    }
}


/* 1020px */
@media screen and (min-width: 63.750em) {
    .product-section {
        grid-template-columns: 25% 25% 25% 25%;
        margin-bottom: 50px;
    }

    .content-main h1 {
        font-size: 6rem;
    }

    .content-main h2 {
        font-size: 3rem;
    }

    .content-main h3 {
        font-size: 2.4rem;
    }
}


/* 1060px */
@media screen and (min-width: 66.250em) { 
    .page-footer li {
        margin-bottom: 10px;
    }

    .page-footer .center-wrapper {
        padding: 0 35px;
    }
}


/* 1160px */
@media screen and (min-width: 72.500em) {
    .footer-section,
    .footer-section.double-width .half-width {
        margin-right: 100px;
    }

    .footer-section.double-width {
        width: 480px;
    }
}